Bug 1117897 - [abrt] uzbl-core: WebCore::HTMLConstructionSite::setDefaultCompatibilityMode(): uzbl-core killed by SIGSEGV
Summary: [abrt] uzbl-core: WebCore::HTMLConstructionSite::setDefaultCompatibilityMode(...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: uzbl
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:df80855f4b175bda298b985ddda...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:23 UTC by Alois Mahdal
Modified: 2015-06-29 21:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:32:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (44.24 KB, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: cgroup (175 bytes, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: core_backtrace (25.13 KB, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: dso_list (14.25 KB, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: environ (1.81 KB, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: maps (84.51 KB, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: open_fds (751 bytes, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details
File: var_log_messages (1.77 KB, text/plain)
2014-07-09 15:23 UTC, Alois Mahdal
no flags Details

Description Alois Mahdal 2014-07-09 15:23:23 UTC
Description of problem:


Version-Release number of selected component:
uzbl-core-0-0.33.20120514git228bc38cbd.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        uzbl-core -c - http://den/roundcube/ --connect-socket /home/amahdal/.cache/uzbl/event_daemon
crash_function: WebCore::HTMLConstructionSite::setDefaultCompatibilityMode
executable:     /usr/bin/uzbl-core
kernel:         3.14.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            22482

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::HTMLConstructionSite::setDefaultCompatibilityMode at Source/WebCore/html/parser/HTMLConstructionSite.cpp:251
 #1 WebCore::HTMLTreeBuilder::defaultForInitial at Source/WebCore/html/parser/HTMLTreeBuilder.cpp:2630
 #2 WebCore::HTMLTreeBuilder::processStartTag at Source/WebCore/html/parser/HTMLTreeBuilder.cpp:1102
 #3 WebCore::HTMLTreeBuilder::processToken at Source/WebCore/html/parser/HTMLTreeBuilder.cpp:398
 #4 WebCore::HTMLTreeBuilder::constructTree at Source/WebCore/html/parser/HTMLTreeBuilder.cpp:370
 #5 WebCore::TextDocumentParser::insertFakePreElement at Source/WebCore/html/parser/TextDocumentParser.cpp:64
 #6 WebCore::TextDocumentParser::append at Source/WebCore/html/parser/TextDocumentParser.cpp:50
 #7 WebCore::DecodedDataDocumentParser::appendBytes at Source/WebCore/dom/DecodedDataDocumentParser.cpp:50
 #8 WebCore::DocumentLoader::commitData at Source/WebCore/loader/DocumentLoader.cpp:814
 #9 WebKit::FrameLoaderClient::committedLoad at Source/WebKit/gtk/WebCoreSupport/FrameLoaderClientGtk.cpp:165

Comment 1 Alois Mahdal 2014-07-09 15:23:28 UTC
Created attachment 916845 [details]
File: backtrace

Comment 2 Alois Mahdal 2014-07-09 15:23:29 UTC
Created attachment 916846 [details]
File: cgroup

Comment 3 Alois Mahdal 2014-07-09 15:23:30 UTC
Created attachment 916847 [details]
File: core_backtrace

Comment 4 Alois Mahdal 2014-07-09 15:23:32 UTC
Created attachment 916848 [details]
File: dso_list

Comment 5 Alois Mahdal 2014-07-09 15:23:33 UTC
Created attachment 916849 [details]
File: environ

Comment 6 Alois Mahdal 2014-07-09 15:23:34 UTC
Created attachment 916850 [details]
File: exploitable

Comment 7 Alois Mahdal 2014-07-09 15:23:35 UTC
Created attachment 916851 [details]
File: limits

Comment 8 Alois Mahdal 2014-07-09 15:23:39 UTC
Created attachment 916852 [details]
File: maps

Comment 9 Alois Mahdal 2014-07-09 15:23:40 UTC
Created attachment 916853 [details]
File: open_fds

Comment 10 Alois Mahdal 2014-07-09 15:23:41 UTC
Created attachment 916854 [details]
File: proc_pid_status

Comment 11 Alois Mahdal 2014-07-09 15:23:42 UTC
Created attachment 916855 [details]
File: var_log_messages

Comment 12 Alois Mahdal 2014-07-09 18:35:13 UTC
This happens when in a local (VM) Roundcube instance accessed via plain http, I select a message and choose "view source".

The RC version is 0.7.2-9+deb7u1 (It's Debian Wheezy).

Workaround:  the crash does not happen when I choose to "Download" the message as .eml, which depending on browser settings, can have similar results.

Comment 13 Fedora End Of Life 2015-05-29 12:20:03 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:32:14 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.